// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: telemetry/BayControllerSwitch.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace BayControllerSwitch {

  /// <summary>Holder for reflection information generated from telemetry/BayControllerSwitch.proto</summary>
  public static partial class BayControllerSwitchReflection {

    #region Descriptor
    /// <summary>File descriptor for telemetry/BayControllerSwitch.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static BayControllerSwitchReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "CiN0ZWxlbWV0cnkvQmF5Q29udHJvbGxlclN3aXRjaC5wcm90bxIVYmF5X2Nv",
            "bnRyb2xsZXJfc3dpdGNoGh9nb29nbGUvcHJvdG9idWYvdGltZXN0YW1wLnBy",
            "b3RvIskBChNCYXlDb250cm9sbGVyU3dpdGNoEk0KBXN0YXRlGAEgASgOMjku",
            "YmF5X2NvbnRyb2xsZXJfc3dpdGNoLkJheUNvbnRyb2xsZXJTd2l0Y2guQ29u",
            "bmVjdG9yU3RhdGVIAIgBARIZChFzd2l0Y2hfaWRlbnRpZmllchgCIAEoCSI+",
            "Cg5Db25uZWN0b3JTdGF0ZRIICgRPUEVOEAASCgoGQ0xPU0VEEAESCQoFRVJS",
            "T1IQAhILCgdVTktOT1dOEANCCAoGX3N0YXRlQn8KG2NvbS5jb2RpYmx5Lm1v",
            "ZGVsLnRlbGVtZXRyeUIYQmF5Q29udHJvbGxlclN3aXRjaFByb3RvygIbRG9t",
            "YWluTW9kZWxcUHJvdG9cVGVsZW1ldHJ54gInRG9tYWluTW9kZWxcUHJvdG9c",
            "VGVsZW1ldHJ5XEdQQk1ldGFkYXRhYgZwcm90bzM="));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::Google.Protobuf.WellKnownTypes.TimestampReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::BayControllerSwitch.BayControllerSwitch), global::BayControllerSwitch.BayControllerSwitch.Parser, new[]{ "State", "SwitchIdentifier" }, new[]{ "State" }, new[]{ typeof(global::BayControllerSwitch.BayControllerSwitch.Types.ConnectorState) }, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class BayControllerSwitch : pb::IMessage<BayControllerSwitch>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<BayControllerSwitch> _parser = new pb::MessageParser<BayControllerSwitch>(() => new BayControllerSwitch());
    private pb::UnknownFieldSet _unknownFields;
    private int _hasBits0;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<BayControllerSwitch> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::BayControllerSwitch.BayControllerSwitchReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public BayControllerSwitch() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public BayControllerSwitch(BayControllerSwitch other) : this() {
      _hasBits0 = other._hasBits0;
      state_ = other.state_;
      switchIdentifier_ = other.switchIdentifier_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public BayControllerSwitch Clone() {
      return new BayControllerSwitch(this);
    }

    /// <summary>Field number for the "state" field.</summary>
    public const int StateFieldNumber = 1;
    private global::BayControllerSwitch.BayControllerSwitch.Types.ConnectorState state_;
    /// <summary>
    /// State of the connector (Open, Closed, Error, Unknown)
    /// </summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::BayControllerSwitch.BayControllerSwitch.Types.ConnectorState State {
      get { if ((_hasBits0 & 1) != 0) { return state_; } else { return global::BayControllerSwitch.BayControllerSwitch.Types.ConnectorState.Open; } }
      set {
        _hasBits0 |= 1;
        state_ = value;
      }
    }
    /// <summary>Gets whether the "state" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasState {
      get { return (_hasBits0 & 1) != 0; }
    }
    /// <summary>Clears the value of the "state" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearState() {
      _hasBits0 &= ~1;
    }

    /// <summary>Field number for the "switch_identifier" field.</summary>
    public const int SwitchIdentifierFieldNumber = 2;
    private string switchIdentifier_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string SwitchIdentifier {
      get { return switchIdentifier_; }
      set {
        switchIdentifier_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as BayControllerSwitch);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(BayControllerSwitch other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (State != other.State) return false;
      if (SwitchIdentifier != other.SwitchIdentifier) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (HasState) hash ^= State.GetHashCode();
      if (SwitchIdentifier.Length != 0) hash ^= SwitchIdentifier.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (HasState) {
        output.WriteRawTag(8);
        output.WriteEnum((int) State);
      }
      if (SwitchIdentifier.Length != 0) {
        output.WriteRawTag(18);
        output.WriteString(SwitchIdentifier);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (HasState) {
        output.WriteRawTag(8);
        output.WriteEnum((int) State);
      }
      if (SwitchIdentifier.Length != 0) {
        output.WriteRawTag(18);
        output.WriteString(SwitchIdentifier);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (HasState) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) State);
      }
      if (SwitchIdentifier.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(SwitchIdentifier);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(BayControllerSwitch other) {
      if (other == null) {
        return;
      }
      if (other.HasState) {
        State = other.State;
      }
      if (other.SwitchIdentifier.Length != 0) {
        SwitchIdentifier = other.SwitchIdentifier;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 8: {
            State = (global::BayControllerSwitch.BayControllerSwitch.Types.ConnectorState) input.ReadEnum();
            break;
          }
          case 18: {
            SwitchIdentifier = input.ReadString();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 8: {
            State = (global::BayControllerSwitch.BayControllerSwitch.Types.ConnectorState) input.ReadEnum();
            break;
          }
          case 18: {
            SwitchIdentifier = input.ReadString();
            break;
          }
        }
      }
    }
    #endif

    #region Nested types
    /// <summary>Container for nested types declared in the BayControllerSwitch message type.</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static partial class Types {
      public enum ConnectorState {
        [pbr::OriginalName("OPEN")] Open = 0,
        [pbr::OriginalName("CLOSED")] Closed = 1,
        [pbr::OriginalName("ERROR")] Error = 2,
        [pbr::OriginalName("UNKNOWN")] Unknown = 3,
      }

    }
    #endregion

  }

  #endregion

}

#endregion Designer generated code
